Get Offer State from Query Parameters
Gets an offer state using one of four methods providing the following information via query parameters
-
a
tokenwith the OSID -
credential_identifier -
external_ref_idwith either:offer_idandmember_id, orcampaign_xidandmember_identifier
-
eligible_channel_idandmember_id
You only need to provide one of the four information sets above to retrieve an offer state.
- Type: stringtoken
An offer state's osid
- Type: stringcredential
_identifier The identifier of the credential
- Type: stringeligible
_channel _id The campaign ID and requires the
member_idquery param as well - Type: stringmember
_id Required when searching by
eligible_channel_id, or when searching byexternal_ref_idwithoutmember_identifier - Type: stringexternal
_ref _id An external identifier. Requires either (
member_idandoffer_id) or (member_identifierandcampaign_xid) - Type: stringoffer
_id Required when searching by
external_ref_idwithoutcampaign_xid - Type: stringmember
_identifier the member identifier attached to a member
- Type: stringcampaign
_xid The campaign XID. Required when searching by
external_ref_idwithmember_identifierinstead ofoffer_idandmember_id
- Type: stringContent
- Type application/json
- application/json
- 401
Unauthorized
- application/json
- application/json
curl https://api-staging.sparkfly.com/v1.0/members/offer_states \
--header 'X-Auth-Token: YOUR_SECRET_TOKEN'
{
"offer_state": {
"offer_state_id": 1,
"offer_id": 1,
"member_id": 1,
"status": "string",
"value": 1,
"locked": true,
"activates_at": "string",
"expires_at": "string",
"external_ref_id": "string",
"custom_data": null,
"credential_custom_data": null,
"offer_activities": [
{}
],
"offer_name": "string",
"offer_short_name": "string",
"offer_campaign_name": "string",
"offer_group": "string",
"offer_description": "string",
"offer_value_required": 1,
"offer_terms_and_conditions": "string",
"offer_web_image_url": "string",
"offer_web_thumb_url": "string",
"offer_mobile_image_url": "string",
"offer_mobile_thumb_url": "string",
"is_reward": true,
"credential_identifier": "string",
"token": "string",
"transferable": true,
"reusable": true,
"offer_tags": [
{}
],
"offer_campaign_tags": [
{}
],
"campaign_custom_fields": [
{
"id": 1,
"custom_field_id": 1,
"key": "string",
"label": "string",
"value": "string",
"created_at": "string",
"updated_at": "string"
}
],
"campaign_external_id": "string",
"campaign_xid": "string",
"campaign_id": 1,
"item_sets": [
{
"item_set_id": 1,
"name": "string",
"type": "required",
"quantity": 1,
"items": [
{
"pos_item_code": "string"
}
]
}
],
"offer_status": "pending",
"campaign_status": "active"
},
"errors": {}
}